create_palette <-
function(map,color=c("green","cyan","blue","magenta"),style="quantile",intervals=10,sample=1000){

# Parameter translation
        intervalos=intervals
        n=sample
        estilo=style

#   Check if the colr2 directories exist and create them if necessary
        pathpieces=strsplit(colr_grass(map,colr_user=T),"/")[[1]]
        dir1=paste(pathpieces[1:(length(pathpieces)-2)],collapse="/")
        dir2=paste(pathpieces[1:(length(pathpieces)-1)],collapse="/")
        if (!file.exists(dir1)) dir.create(dir1)
        if (!file.exists(dir2)) dir.create(dir2)

# Data analysis
	rango=system(paste("r.univar",map),intern=T)
	minr=strsplit(rango[7]," ");minr=as.numeric(minr[[1]][2])
	maxr=strsplit(rango[8]," ");maxr=as.numeric(maxr[[1]][2])
	temp=readRAST6(c(map),plugin=F)
	samp=sample(temp@data[,1],sample)

# Creating palette
	rm(temp)
	ci=classIntervals(samp,intervalos-1,style=estilo)
	fc=findColours(classIntervals(samp,intervalos,style=estilo),color)
	val=(ci$brks);val[1]=minr;val[length(val)]=maxr
	pal= as.numeric(col2rgb(attr(fc,"palette")));dim(pal)=c(3,length(val))

# Writing palette
        system(paste("rm",colr_grass(map,colr_user=T)))
        write(paste("%",minr,maxr),colr_grass(map,colr_user=T))    
        for (l in 1:(length(val)-1)){
               linea=paste(val[l],":",pal[1,l],":",pal[2,l],":",pal[3,l]," ",val[l+1],":",pal[1,l+1],":",pal[2,l+1],":",pal[3,l+1],sep="")
               write(linea,colr_grass(map,colr_user=T),append=T)
        }
}
