latex_map=function (image, output = "", paper = "a4", ori = "", logos = c(), 
    logopos = c(), title = "", titlepos = c(30, 0, 0), scalepos = c(30, 
        0, 19), latexpos = c(), latex = c(), scale, gscaleX = -1, 
    gscaleY = -1, di = -1, ni = 5, numscale = T, scaleword = "Scale :", 
    bgcol = c(255, 255, 255), gscaletype = 1) 
{
    salida = output
    titulo = title
    escala = scale
    titulopos = titlepos
    escalapos = scalepos
    escalaX = gscaleX
    escalaY = gscaleY
    if (output == "") {
        salida = image
    }
    else {
        salida = output
    }
    if (ori == "p") {
        ori = "portrait"
        ancho = papers(paper)[1]
    }
    if (ori == "l") {
        ori = "landscape"
        ancho = papers(paper)[2]
    }
    if (length(paper) == 2) {
        paps = -1
        bigmap = 0
    }
    else {
        paps = as.numeric(substr("a4", 2, 2))
        if (paper == "a0" || paper == "a1" || paper == "a2" || 
            paper == "a3") 
            bigmap = 3
        if (paper == "a4" || paper == "a5") 
            bigmap = 2
        if (paper == "a6" || paper == "a7" || paper == "a8" || 
            paper == "a9" || paper == "a10") 
            bigmap = 1
    }
    if (bigmap == 3) {
        cat(paste("\\documentclass[", paper, ",", ori, "]{a0poster}\n", 
            sep = ""), file = salida)
    }
    if (bigmap == 2) {
        cat(paste("\\documentclass[12pt,", ori, ",", paper, "paper]{report}\n", 
            sep = ""), file = salida)
    }
    if (bigmap == 1) {
        cat(paste("\\documentclass[", paper, ",0,0,", ori, "]{arbitrary}\n", 
            sep = ""), file = salida)
    }
    if (bigmap == 0) {
        cat("\\documentclass[14pt]{sciposter}\n", file = salida)
    }
    cat(paste("\\usepackage[utf8]{inputenc}\n"), file = salida, 
        append = T)
    cat(paste("\\usepackage{times}\n"), file = salida, append = T)
    cat(paste("\\usepackage{color}\n"), file = salida, append = T)
    cat(paste("\\usepackage{xcolor}\n"), file = salida, append = T)
    cat(paste("\\usepackage{enumerate}\n"), file = salida, append = T)
    cat(paste("\\usepackage[T1]{fontenc}\n"), file = salida, 
        append = T)
    cat(paste("\\usepackage[pdftex]{graphicx}\n"), file = salida, 
        append = T)
    cat(paste("\\usepackage{fancyhdr}\n"), file = salida, append = T)
    cat(paste("\\usepackage[absolute]{textpos}\n"), file = salida, 
        append = T)
    cat(paste("\\usepackage{keystroke}\n"), file = salida, append = T)
    cat(paste("\\usepackage{fancybox}\n"), file = salida, append = T)
    cat(paste("\\usepackage{fancyvrb}\n"), file = salida, append = T)
    cat(paste("\\usepackage{setspace}\n"), file = salida, append = T)
    cat(paste("\\usepackage{tikz}\n"), file = salida, append = T)
    cat("\n")
    cat(paste("\\setlength{\\parindent}{0pt}\n"), file = salida, 
        append = T)
    cat(paste("\\setlength{\\parskip}{1ex plus 0.5ex minus 0.2ex}\n"), 
        file = salida, append = T)
    cat("\n")
    cat(paste("\\frenchspacing\n"), file = salida, append = T)
    cat(paste("\\textwidth=17cm\n"), file = salida, append = T)
    cat(paste("\\oddsidemargin=0cm\n"), file = salida, append = T)
    cat(paste("\\evensidemargin=0cm\n"), file = salida, append = T)
    cat(paste("\\topmargin=0mm\n"), file = salida, append = T)
    cat(paste("\\textheight=25cm\n"), file = salida, append = T)
    cat("\n")
    if (length(paper) == 2) {
        cat(paste("\\setlength{\\pdfpagewidth}{", paper[1], "cm}\n", 
            sep = ""), file = salida, append = T)
        cat(paste("\\setlength{\\pdfpageheight}{", paper[2], 
            "cm}\n", sep = ""), file = salida, append = T)
    }
    cat(paste("\\setlength{\\hoffset}{0cm}\n"), file = salida, 
        append = T)
    cat(paste("\\setlength{\\voffset}{0cm}\n"), file = salida, 
        append = T)
    cat(paste("\\setlength{\\TPHorizModule}{1cm}\n"), file = salida, 
        append = T)
    cat(paste("\\setlength{\\TPVertModule}{1cm}\n"), file = salida, 
        append = T)
    cat("\n")
    cat(paste("\\definecolor{kak}{rgb}{", bgcol[1]/255, ",", 
        bgcol[2]/255, ",", bgcol[3]/255, "}\n", sep = ""), file = salida, 
        append = T)
    cat("\\pagecolor{kak}\\usepackage{pdfpages}\n", file = salida, 
        append = T)
    cat("\n")
    cat(paste("\\begin{document}\n"), file = salida, append = T)
    cat(paste("\\thispagestyle{empty}\n"), file = salida, append = T)
    cat("\n")
     cat("%Logos section\n", file = salida, append = T)
    if (length(logopos) > 0) {
        n = dim(logopos)[1]
        if (is.null(n)) {
            n = 1
        }
        if (n == 1) {
            cat(paste("\\begin{textblock}{", logopos[1], "}(", 
                logopos[2], ",", logopos[3], ")\n", sep = ""), 
                file = salida, append = T)
            cat(paste("\\includegraphics[width=", logopos[1], 
                "cm]{", logos[1], "}\n", sep = ""), file = salida, 
                append = T)
            cat("\\end{textblock}\n", file = salida, append = T)
        }
        else {
            for (i in 1:n) {
                cat(paste("\\begin{textblock}{", logopos[i, 1], 
                  "}(", logopos[i, 2], ",", logopos[i, 3], ")\n", 
                  sep = ""), file = salida, append = T)
                cat(paste("\\includegraphics[width=", logopos[i, 
                  1], "cm]{", logos[i], "}\n", sep = ""), file = salida, 
                  append = T)
                cat("\\end{textblock}\n", file = salida, append = T)
            }
        }
    }
    cat("\n")
    cat("%Title section\n", file = salida, append = T)
    if (nchar(titulo) != 0) {
        cat(paste("\\begin{textblock}{", titulopos[1], "}(", 
            titulopos[2], ",", titulopos[3], ")\\begin{center}\n", 
            sep = ""), file = salida, append = T)
        if (paps >= 3) {
            cat(paste("{\\LARGE ", titulo, "}\n", sep = ""), 
                file = salida, append = T)
        }
        if (paps < 3 && paps >= 0) {
            cat(paste("{\\VeryHuge ", titulo, "}\n", sep = ""), 
                file = salida, append = T)
        }
        if (paps == -1) {
            cat(paste(titulo, "}\n", sep = ""), file = salida, 
                append = T)
        }
        cat("\\end{center}\\end{textblock} \n", file = salida, 
            append = T)
    }
    cat("\n")
    cat("%Text fragments section\n", file = salida, append = T)
    if (length(latexpos) > 0) {
        n = dim(latexpos)[1]
        if (is.null(n)) {
            n = 1
        }
        if (n == 1) {
            cat(paste("\\begin{textblock}{", latexpos[1], "}(", 
                latexpos[2], ",", latexpos[3], ")\n", sep = ""), 
                file = salida, append = T)
            cat(paste("\\input{", latex[1], "}\n", sep = ""), 
                file = salida, append = T)
            cat("\\end{textblock}\n", file = salida, append = T)
        }
        else {
            for (i in 1:n) {
                cat(paste("\\begin{textblock}{", latexpos[i, 
                  1], "}(", latexpos[i, 2], ",", latexpos[i, 
                  3], ")\n", sep = ""), file = salida, append = T)
                cat(paste("\\input{", latex[i], "}\n", sep = ""), 
                  file = salida, append = T)
                cat("\\end{textblock}\n", file = salida, append = T)
            }
        }
    }
    cat("\n")
    cat("%Numerical scale section\n", file = salida, append = T)
    if (numscale == T) {
        cat(paste("\\begin{textblock}{", escalapos[1], "}(", 
            escalapos[2], ",", escalapos[3], ")\\begin{center}\n", 
            sep = ""), file = salida, append = T)
        if (bigmap == 0) {
            cat(paste("{\\tiny ", scaleword, "1:", sprintf("%i", 
                escala), "}\n", sep = ""), file = salida, append = T)
        }
        if (bigmap == 1) {
            cat(paste("{\\small ", scaleword, "1:", sprintf("%i", 
                escala), "}\n", sep = ""), file = salida, append = T)
        }
        if (bigmap == 2) {
            cat(paste("{\\small ", scaleword, "1:", sprintf("%i", 
                escala), "}\n", sep = ""), file = salida, append = T)
        }
        if (bigmap == 3) {
            cat(paste("{\\tiny ", scaleword, "1:", sprintf("%i", 
                escala), "}\n", sep = ""), file = salida, append = T)
        }
        cat("\\end{center}\\end{textblock}\n", file = salida, 
            append = T)
    }
    cat("\n")
    cat("%Scale bar section\n", file = salida, append = T)
    if (escalaX > 0 && escalaY > 0) 
        gscale(output = salida, dx = escalaX, dy = escalaY, di = di, 
            ni = ni, e = escala, paps = paps, type = gscaletype)
   cat("%Map section\n", file = salida, append = T)
    if (length(image) == 1) {
        cat(paste("\\begin{textblock}{", ancho, "}(0,0)\n", sep = ""), 
            file = salida, append = T)
        cat(paste("\\includegraphics{", image, ".pdf}\n", sep = ""), 
            file = salida, append = T)
        cat("\\end{textblock}\n", file = salida, append = T)
    }
    else {
        for (i in 1:length(image)) {
            cat("\\begin{textblock}{14}(0,0)\n", file = salida, 
                append = T)
            cat(sprintf("\\includegraphics{%s.pdf}", image[i]), 
                file = salida, append = T)
            cat("\\end{textblock}\n", file = salida, append = T)
        }
    }
    cat("\n")

    cat(paste("\\end{document}\n"), file = salida, append = T)
    system(paste("mv ", salida, " ", salida, ".tex;pdflatex ", 
        salida, ".tex;xpdf ", salida, ".pdf &", sep = ""))
}

