\name{GMT_map}
\alias{GMT_map}
\title{
Uses GMT to create a PDF map from GRASS layers
}
\description{
Uses GMT to create a PDF map from GRASS layers
}
\usage{
GMT_map(display, driver="PS", widthcm = 15, scale = 0, scaleZ = "", legend = "",
     rangeZ = "", graph = T, grid = "", anots = "", gmtset = "",
     gmtsetleg = "", scalepos = "", legendpos = "", scaleoption = "", 
     decscale = 0, scaletype = "c", ori="a", createdisp = T, 
     dxcm = "2.5", dycm = "2.5", output = "outmap", 
     scaleunit = "", scalevar = "", scaleinter = "", textfile = "", 
     textcolor = "", points, paper="a4", coords=0)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{display}{
A string with a set of GRASS display commands that will make the map main image (see notes)
}
  \item{driver}{
Select the PNG or PS GRASS driver to draw the map
}
  \item{ori}{
"l" (landscape), "p" (portrait) or "a" (authomatic)
}
  \item{paper}{
"a4", "a3", "a2", "a1", "a0"
}
  \item{widthcm}{
Map width in centimeters
}
  \item{scale}{
Denominator of the desired map scale
}
  \item{grid}{
An integer setting the grid intervals, if grid=0 no grid will appear on the map
}
  \item{anots}{
An integer setting the annotation intervals in the grid
}
  \item{dxcm}{
Horizontal distance of the map from the lower left corner of the paper
}
  \item{dycm}{
Vertical distance of the map from the lower left corner of the paper
}
  \item{scaleZ}{
A string containing the GRASS raster layer from which the color scale will be composed
}
  \item{rangeZ}{
Vector of two numerical values setting the lower and the upper values that will appear in the color scale
}
  \item{scalepos}{
A vector of four numbers with the form c(posX,posY,height,width) coding the position (x and y) and size (width, height) of the color scale.
}
  \item{scaleunit}{
Units of the color scale variable
}
  \item{scalevar}{
Name of the color scale variable
}
  \item{scaleinter}{
Text intervals in the color scale
}
  \item{scaleoption}{
A string with more GMT options to be passed to the psscale GMT module. This module creates the color scale
}
  \item{decscale}{
An integer with the number of decimals in the annotations of the color scale
}
  \item{scaletype}{
A character that can be "c" or "d". If "c" the color scale will have a continuous look, if "d" it will have a discrete look.
}
  \item{legend}{
A string containing a GMT legend file. This file can be created with the functions rast2leg, vect2leg or vectthematic2leg.
}
  \item{legendpos}{
A vector of four numbers  with the form c(posX,posY,height,width) coding the position (x and y) and size (width, height) of the legend.
}
  \item{gmtset}{
A string with more GMT options to be passed to the psbasemap GMT module. This module creates the layout for the map
}
  \item{gmtsetleg}{
A string with GMT options to be passed to the pslegend GMT module to create the legend
}
  \item{textfile}{
A  vector with GMT files containing text labels to be introduced in the map
}
  \item{textcolor}{
A matrix with 3 columns and as many rows as text files included in textfile. The 3 columns code color in RGB format (0-255). If no texcolor is included, all labels will be drawn black
}
  \item{points}{
A data frame with the instructions to plot icons on the map
}
  \item{coords}{
In case the parameter display is an image file. This vector is used to pass the coordinates of the display area hedges c(west,east,south,north)
}
  \item{output}{
Name of the PDF file with the map. It should be introduced without extension.
}
  \item{createdisp}{
If FALSE, the function will not create the PNG/RAS (PS/EPS) files with the map. The user assumes that it was already created.
}
  \item{graph}{
If TRUE the PDF file with the map will be displayed at the end of the execution
}
}
\details{
%%  ~~ If necessary, more details than the description above ~~
}
\value{
The function will create the PDF output file and return a vector of GMT commands to reproduce the map
}
\references{
%% ~put references to the literature/web site here ~
}
\author{
Francisco Alonso-Sarria <alonsarp@um.es>
}
\note{
If display is an existing file name, the function reads in that file the display commands. If display="mon", the function reproduces on the map the composition shown in the active GRASS display monitor.
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
}

\examples{

}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ ~kwd1 }
\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
