\name{create_palette_v}
\alias{create_palette_v}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
Creates a color palette from a column in the table linked to a vector layer. It can also create a GMT legend file using the palette
}
\description{
This function uses functions from the package classInt to create color palettes using different styles (see references)
}
\usage{
create_palette_v(map,column,columnRGB="grassrgb",color = c("green", "cyan", "blue", "magenta"), 
     style = "quantile", intervals = 10,gap=0,title="",columns=1,symbol="s", size=0.5, file="",
     space1=0.25,space2=0.75,space3=0.25,font="14 Helvetica",decs=2 )
}
%- maybe also 'usage' for other objects documented here.
\arguments{

\item{map}{
Which layer is used to generate the legend
}
\item{column}{
Column containing the labels
}
\item{columnRGB}{
Column containing the RGB combinations (default grassrgb)
}

  \item{color}{
A vector of color names to use in the palette
}
  \item{style}{
One of "fixed" "sd" "equal"  "pretty"  "quantile"  "kmeans"  "hclust"  "bclust"  "fisher" or "jenks" 
}
  \item{intervals}{
Number of color intervals in the palette
}
  \item{title}{
Title for the legend
}
  \item{gap}{
Space between the title an the legend lines in the GMT legend file
}

  \item{columns}{
Number of text columns in the legend
}
  \item{symbol}{
Symbol to use in the legend. 
}
  \item{size}{
Symbols size
}
  \item{file}{
Name of the output file
}
  \item{space1}{
Space between the frame and the symbol
}
  \item{space2}{
Space between the symbol and the label
}
  \item{space3}{
Space between lines in the legend (only valid if columns=1)
}
  \item{font}{
GMT font for the legend title
}
  \item{decs}{
Decimals in the legend
}
}
\details{
%%  ~~ If necessary, more details than the description above ~~
}
\value{
%%  ~Describe the value returned
%%  If it is a LIST, use
%%  \item{comp1 }{Description of 'comp1'}
%%  \item{comp2 }{Description of 'comp2'}
%% ...
}
\references{
  Roger Bivand, with contributions by Hisaji Ono and Richard Dunlap
  (2011). classInt: Choose univariate class intervals. R package
  version 0.1-17. http://CRAN.R-project.org/package=classInt

}
\author{
F. Alonso-Sarria <alonsarp@um.es>
}
\note{
Some of the styles require statistical computation that can be very slow in large raster layers, so there is a need to sample cells.
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
}
\examples{

}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ ~kwd1 }
\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
