\name{latex_map}
\alias{latex_map}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
Uses LaTeX to add auxiliary elements to the PDF map.
}
\description{
Generates and compiles a LaTeX file that includes the PDF file generated by  GMT_map. It allows the user to include auxiliary elements to the map like numerical or graphical scales, titles, logos, and several text blocks with auxiliary information.
}
\usage{
latex_map(image, output = "", paper = "a4", ori = "", logos = c(), logopos = c(),
     title = "", titlepos = c(30, 0, 0), scalepos = c(30, 0, 19), latexpos = c(),
     latex = c(), scale = "", gscaleX = -1, gscaleY = -1, di = -1, ni = 5, 
     numscale = T, scaleword = "Scale :",bgcol = c(255, 255, 255), gscaletype = 1)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{image}{
The PDF file obtained with GMT_map
}
  \item{output}{
A name for the TEX and PDF files that this function will create
}
  \item{paper}{
paper size ("a4", "a3", "a2", "a1" or "a0")
}
  \item{ori}{
Orientation, it can be  "landscape" or ""
}
  \item{logos}{
Vector of image files to be included in the map
}
  \item{logopos}{
Matrix with 3 columns and as much rows as logos. Each row codes the size and positions of the corresponding logo as c(size, x displacement, y displacement)
}
  \item{title}{
A title for the map
}
  \item{titlepos}{
Position of the title. It is a 3 elements vector c(size of the title, x displacement, y displacement)
}
  \item{scale}{
Scale's denominator. It should be sensible to use the same used witn GMT_map.
}
  \item{scalepos}{
Position of the numeric scale. It is a 3 elements vector c(size of the title, x displacement, y displacement)
}
  \item{gscaleX}{
X position of the graphical scale 
}
  \item{gscaleY}{
Y position of the graphical scale 
}
  \item{di}{
Size of each step in the graphical scale (in meters)
}
  \item{ni}{
Number of intervals in the graphical scale.
}
  \item{numscale}{
Logical value to determine if the numerical scale will be drawn or not
}
  \item{latex}{
Vector  of latex files to be included in the map
}
  \item{latexpos}{
Matrix with 3 columns and as much rows as latex files. Each row codes the size and positions of the corresponding file as c(size, x displacement, y displacement)
}
  \item{scaleword}{
Word that appears before the numerical scale
}
  \item{bgcol}{
Background color. A vector with 3 0-255 numbers coding the RGB color
}
  \item{gscaletype}{
Bar scale type. THere are 3 options from the simpler (gscaletype=3) to the more complicated (gscaletype=1)
}

}
\details{
%%  ~~ If necessary, more details than the description above ~~
}
\value{
%%  ~Describe the value returned
%%  If it is a LIST, use
%%  \item{comp1 }{Description of 'comp1'}
%%  \item{comp2 }{Description of 'comp2'}
%% ...
}
\references{
%% ~put references to the literature/web site here ~
}
\author{
Francisco Alonso-Sarria <alonsarp@um.es>
}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
}
\examples{

}

% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ ~kwd1 }
\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
